using System;

namespace Prepisivaci
{
    class Program
    {
        struct Tacka
        {
            public int x;
            public int y;
        }
        static double Stranica(Tacka prvatacka, Tacka drugatacka)
        {
            return Math.Sqrt(Math.Pow(prvatacka.x - drugatacka.x, 2) + Math.Pow(prvatacka.y - drugatacka.y, 2));
        }
        static bool DuploDuza(Tacka prvatacka, Tacka drugatacka, Tacka trecatacka, Tacka cetvrtatacka)
        {
            if (Stranica(prvatacka, drugatacka) == 2 * Stranica(trecatacka, cetvrtatacka)) return true;
            else if (Stranica(trecatacka, cetvrtatacka) == 2 * Stranica(prvatacka, drugatacka)) return true;
            else return false;
        }
        static double K(Tacka prvatacka, Tacka drugatacka)
        {
            double k;
            if (drugatacka.y != drugatacka.x) k = (drugatacka.x - prvatacka.x) * 1.0 / (drugatacka.y - drugatacka.x);
            else k = 0;
            return k;
        }
        static bool DaLiOdgovara(Tacka prvatacka, Tacka drugatacka, Tacka trecatacka, Tacka cetvrtatacka)
        {
            if (K(prvatacka, drugatacka) == K(trecatacka, cetvrtatacka))
            {
                return DuploDuza(prvatacka, drugatacka, trecatacka, cetvrtatacka);
            }
            else if (K(prvatacka, trecatacka) == K(drugatacka, cetvrtatacka))
            {
                return DuploDuza(prvatacka, trecatacka, drugatacka, cetvrtatacka);
            }
            else if (K(drugatacka, trecatacka) == K(prvatacka, cetvrtatacka))
            {
                return DuploDuza(drugatacka, trecatacka, prvatacka, cetvrtatacka);
            }
            else return false;
        }

        static void Main(string[] args)
        {
            int n = Convert.ToInt32(Console.ReadLine());
            string[] red;
            Tacka[] tacke = new Tacka[n];
            for (int i=0; i<n; i++) 
            {
                red = Console.ReadLine().Split();
                tacke[i].x= Convert.ToInt32(red[0]);
                tacke[i].y = Convert.ToInt32(red[1]);
            }
            if (DaLiOdgovara(tacke[0],tacke[1],tacke[2],tacke[3])==true) Console.WriteLine("1");
            else Console.WriteLine("0");
        }
    }
}